### A free/open-source library for quantitative finance

Public Types | Public Member Functions
ConvergenceStatistics< T, U > Class Template Reference

statistics class with convergence table More...

`#include <ql/math/statistics/convergencestatistics.hpp>`

Inherits T.

List of all members.

## Public Types

typedef T::value_type | value_type
typedef std::vector< std::pair < Size, value_type > > | table_type

## Public Member Functions

| ConvergenceStatistics (const T &stats, const U &rule=U())
| ConvergenceStatistics (const U &rule=U())
void | add (const value_type &value, Real weight=1.0)
template<class DataIterator >
void | addSequence (DataIterator begin, DataIterator end)
template<class DataIterator , class WeightIterator >
void | addSequence (DataIterator begin, DataIterator end, WeightIterator wbegin)
void | reset ()
const std::vector< std::pair < Size, value_type > > & | convergenceTable () const

## Detailed Description

### template<class T, class U = DoublingConvergenceSteps>
class QuantLib::ConvergenceStatistics< T, U >

statistics class with convergence table

This class decorates another statistics class adding a convergence table calculation. The table tracks the convergence of the mean.

It is possible to specify the number of samples at which the mean should be stored by mean of the second template parameter; the default is to store samples at the -th step. Any passed class must implement the following interface:

            Size initialSamples() const;
            Size nextSamples(Size currentSamples) const;

as well as a copy constructor.

Tests:
  results are tested against known good values.